Package org.eclipse.ecf.filetransfer

# Interface IRemoteFileSystemRequest

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Implementing Classes:
  `AbstractFileSystemBrowser.RemoteFileSystemRequest`

public interface IRemoteFileSystemRequest extends org.eclipse.core.runtime.IAdaptable
Remote file request.

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
Cancel this request.
`IFileID`
`getFileID()`
Get directoryID that represents the directory accessed.
`IRemoteFileSystemListener`
`getRemoteFileListener()`
Get the listener associated with this request

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### cancel

void cancel()
Cancel this request.

### getRemoteFileListener

IRemoteFileSystemListener getRemoteFileListener()
Get the listener associated with this request

Returns:
  IRemoteFileSystemListener associated with this request.

### getFileID

IFileID getFileID()
Get directoryID that represents the directory accessed.

Returns:
  IFileID for remote directory or file. Will not return `null`.